Agent Governance Protocol
API ReferenceRegistry APITasks

Transition task status

Advance a task through its lifecycle state machine (§9.1). Each transition requires the artifact that guards it to be referenced. Invalid transitions are rejected with 409.

PATCH
/agp/tasks/{taskId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

taskId*string

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Requests a task state transition. The transition_guard_ref must reference the artifact that authorises the transition per §9.1 guard rules.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/agp/tasks/string" \  -H "Content-Type: application/json" \  -d '{    "status": "CREATED"  }'
{  "task_id": "string",  "principal_id": "string",  "requested_outcome": "string",  "risk_tier": "low",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "sponsoring_entity": "string",  "status": "CREATED",  "liability_binding_ref": "string",  "capability_token_ref": "string",  "governance_requirements": {    "required_roles": [      "executive"    ],    "quorum": 1  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}